Index: /extensions/AMetaData/JpegMetaData/TagDefinitions/PentaxTags.class.php
===================================================================
--- /extensions/AMetaData/JpegMetaData/TagDefinitions/PentaxTags.class.php	(revision 4697)
+++ /extensions/AMetaData/JpegMetaData/TagDefinitions/PentaxTags.class.php	(revision 4698)
@@ -9,15 +9,44 @@
  *   << May the Little SpaceFrog be with you ! >>
  *
- * -----------------------------------------------------------------------------
  *
- * Pentax values from
- * - ExifTool / Copyright - Phil Harvey <phil at owl.phy.queensu.ca>
- * - Exiv2    / Copyright - Andreas Huggel <ahuggel at gmx.net>
- *
+ * +-----------------------------------------------------------------------+
+ * | JpegMetaData - a PHP based Jpeg Metadata manager                      |
+ * +-----------------------------------------------------------------------+
+ * | Copyright(C) 2010  Grum - http://www.grum.fr                          |
+ * +-----------------------------------------------------------------------+
+ * | This program is free software; you can redistribute it and/or modify  |
+ * | it under the terms of the GNU General Public License as published by  |
+ * | the Free Software Foundation                                          |
+ * |                                                                       |
+ * | This program is distributed in the hope that it will be useful, but   |
+ * | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+ * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+ * | General Public License for more details.                              |
+ * |                                                                       |
+ * | You should have received a copy of the GNU General Public License     |
+ * | along with this program; if not, write to the Free Software           |
+ * | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+ * | USA.                                                                  |
+ * +-----------------------------------------------------------------------+
  *
  *
  * -----------------------------------------------------------------------------
- * Pentax tags definition & Pentax reader class
+ *
+ * The PentaxTags is the definition of the specific Pentax Exif tags
+ *
  * -----------------------------------------------------------------------------
+ *
+ * .. Notes ..
+ *
+ * The PentaxTags class is derived from the KnownTags class.
+ *
+ * ======> See KnownTags.class.php to know more about the tag definitions <=====
+ *
+ *
+ * Pentax values from
+ *  - Exiftool by Phil Harvey    => http://www.sno.phy.queensu.ca/~phil/exiftool/
+ *                                  http://owl.phy.queensu.ca/~phil/exiftool/TagNames
+ *  - Exiv2 by Andreas Huggel    => http://www.exiv2.org/
+ *
  */
 
@@ -38,5 +67,5 @@
       0x0001 => Array(
         'tagName'     => "ShootingMode",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -52,5 +81,5 @@
       0x0005 => Array(
         'tagName'     => "CameraModel",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -148,5 +177,5 @@
       0x0008 => Array(
         'tagName'     => "Quality",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -166,5 +195,5 @@
       0x0009 => Array(
         'tagName'     => "Size",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -196,5 +225,5 @@
       0x000b => Array(
         'tagName'     => "PictureMode",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -244,5 +273,5 @@
       0x000c => Array(
         'tagName'     => "Flash",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -283,5 +312,5 @@
       0x000d => Array(
         'tagName'     => "Focus",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -303,5 +332,5 @@
       0x000e => Array(
         'tagName'     => "AFPoint",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -329,5 +358,5 @@
       0x000f => Array(
         'tagName'     => "AFPointsInFocus",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -351,5 +380,5 @@
       0x0014 => Array(
         'tagName'     => "ISO",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -405,5 +434,5 @@
       0x0017 => Array(
         'tagName'     => "MeteringMode",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -419,5 +448,5 @@
       0x0019 => Array(
         'tagName'     => "WhiteBallance",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -444,5 +473,5 @@
       0x001a => Array(
         'tagName'     => "WhiteBallanceMode",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -465,5 +494,5 @@
       0x001f => Array(
         'tagName'     => "Saturation",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -484,5 +513,5 @@
       0x0020 => Array(
         'tagName'     => "Contrast",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -502,5 +531,5 @@
       0x0021 => Array(
         'tagName'     => "Sharpness",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -520,5 +549,5 @@
       0x0022 => Array(
         'tagName'     => "WorldTimeLocation",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -533,5 +562,5 @@
       0x0023 => Array(
         'tagName'     => "HomeCityName",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -616,5 +645,5 @@
       0x0024 => Array(
         'tagName'     => "DestinationCityName",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -700,5 +729,5 @@
       0x0032 => Array(
         'tagName'     => "ImageProcessing",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 4,
@@ -717,5 +746,5 @@
       0x0033 => Array(
         'tagName'     => "PictureMode",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 3,
@@ -793,5 +822,5 @@
       0x0034 => Array(
         'tagName'     => "DriveMode",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 4,
@@ -817,5 +846,5 @@
       0x0037 => Array(
         'tagName'     => "ColorSpace",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -830,5 +859,5 @@
       0x003f => Array(
         'tagName'     => "LensType",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 2,
@@ -993,5 +1022,5 @@
       0x004f => Array(
         'tagName'     => "ImageTone",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -1011,5 +1040,5 @@
       0x0069 => Array(
         'tagName'     => "DynamicRangeExpansion",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 4,
@@ -1025,5 +1054,5 @@
       0x0071 => Array(
         'tagName'     => "HighISONoiseReduction",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -1045,5 +1074,5 @@
       0x0000 => Array(
         'tagName'     => "Version",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1054,5 +1083,5 @@
       0x0002 => Array(
         'tagName'     => "PreviewResolution",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1063,5 +1092,5 @@
       0x0003 => Array(
         'tagName'     => "PreviewLength",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1072,5 +1101,5 @@
       0x0004 => Array(
         'tagName'     => "PreviewOffset",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1081,5 +1110,5 @@
       0x0006 => Array(
         'tagName'     => "Date",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1090,5 +1119,5 @@
       0x0007 => Array(
         'tagName'     => "Time",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1099,5 +1128,5 @@
       0x0010 => Array(
         'tagName'     => "FocusPosition",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1108,5 +1137,5 @@
       0x0012 => Array(
         'tagName'     => "ExposureTime",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1117,5 +1146,5 @@
       0x0013 => Array(
         'tagName'     => "FNumber",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1126,5 +1155,5 @@
       0x0015 => Array(
         'tagName'     => "LightReading",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1136,5 +1165,5 @@
       0x0016 => Array(
         'tagName'     => "ExposureCompensation",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1145,5 +1174,5 @@
       0x0018 => Array(
         'tagName'     => "AutoBracketing",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -1154,5 +1183,5 @@
       0x001b => Array(
         'tagName'     => "BlueBalance",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1163,5 +1192,5 @@
       0x001c => Array(
         'tagName'     => "RedBalance",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1172,5 +1201,5 @@
       0x001d => Array(
         'tagName'     => "FocalLength",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1181,5 +1210,5 @@
       0x001e => Array(
         'tagName'     => "DigitalZoom",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1191,5 +1220,5 @@
       0x0025 => Array(
         'tagName'     => "HometownDST",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1200,5 +1229,5 @@
       0x0026 => Array(
         'tagName'     => "DestinationDST",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1209,5 +1238,5 @@
       0x0027 => Array(
         'tagName'     => "DSPFirmwareVersion",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1218,5 +1247,5 @@
       0x0028 => Array(
         'tagName'     => "CPUFirmwareVersion",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1227,5 +1256,5 @@
       0x0029 => Array(
         'tagName'     => "FrameNumber",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1236,5 +1265,5 @@
       0x002d => Array(
         'tagName'     => "EffectiveLV",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1245,5 +1274,5 @@
       0x0038 => Array(
         'tagName'     => "ImageAreaOffset",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1254,5 +1283,5 @@
       0x0039 => Array(
         'tagName'     => "RawImageSize",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1263,5 +1292,5 @@
       0x003c => Array(
         'tagName'     => "AFPointsInFocus",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1272,5 +1301,5 @@
       0x003e => Array(
         'tagName'     => "PreviewImageBorders",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1281,5 +1310,5 @@
       0x0040 => Array(
         'tagName'     => "SensitivityAdjust",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1290,5 +1319,5 @@
       0x0041 => Array(
         'tagName'     => "DigitalFilter",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1299,5 +1328,5 @@
       0x0047 => Array(
         'tagName'     => "Temperature",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1308,5 +1337,5 @@
       0x0048 => Array(
         'tagName'     => "AELock",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -1317,5 +1346,5 @@
       0x0049 => Array(
         'tagName'     => "NoiseReduction",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> true,
         'combiTag'    => 0,
@@ -1326,5 +1355,5 @@
       0x004d => Array(
         'tagName'     => "FlashExposureCompensation",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1335,5 +1364,5 @@
       0x0050 => Array(
         'tagName'     => "ColorTemperature",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1344,5 +1373,5 @@
       0x005c => Array(
         'tagName'     => "ShakeReduction",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1353,5 +1382,5 @@
       0x005d => Array(
         'tagName'     => "ShutterCount",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1362,5 +1391,5 @@
       0x0072 => Array(
         'tagName'     => "AFAdjustment",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1372,5 +1401,5 @@
       0x0200 => Array(
         'tagName'     => "BlackPoint",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1381,5 +1410,5 @@
       0x0201 => Array(
         'tagName'     => "WhitePoint",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1390,5 +1419,5 @@
       0x0203 => Array(
         'tagName'     => "ColorMatrixA",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1399,5 +1428,5 @@
       0x0204 => Array(
         'tagName'     => "ColorMatrixB",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1408,5 +1437,5 @@
       0x0205 => Array(
         'tagName'     => "ShotInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1417,5 +1446,5 @@
       0x0206 => Array(
         'tagName'     => "AEInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1426,5 +1455,5 @@
       0x0207 => Array(
         'tagName'     => "LensInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1435,5 +1464,5 @@
       0x0208 => Array(
         'tagName'     => "FlashInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1444,5 +1473,5 @@
       0x0209 => Array(
         'tagName'     => "AEMeteringSegments",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1453,5 +1482,5 @@
       0x020a => Array(
         'tagName'     => "FlashADump",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1462,5 +1491,5 @@
       0x020b => Array(
         'tagName'     => "FlashBDump",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1471,5 +1500,5 @@
       0x020d => Array(
         'tagName'     => "WB_RGGBLevelsDaylight",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1480,5 +1509,5 @@
       0x020e => Array(
         'tagName'     => "WB_RGGBLevelsShade",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1489,5 +1518,5 @@
       0x020f => Array(
         'tagName'     => "WB_RGGBLevelsCloudy",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1498,5 +1527,5 @@
       0x0210 => Array(
         'tagName'     => "WB_RGGBLevelsTungsten",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1507,5 +1536,5 @@
       0x0211 => Array(
         'tagName'     => "WB_RGGBLevelsFluorescentD",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1516,5 +1545,5 @@
       0x0212 => Array(
         'tagName'     => "WB_RGGBLevelsFluorescentN",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1525,5 +1554,5 @@
       0x0213 => Array(
         'tagName'     => "WB_RGGBLevelsFluorescentW",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1534,5 +1563,5 @@
       0x0214 => Array(
         'tagName'     => "WB_RGGBLevelsFlash",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1543,5 +1572,5 @@
       0x0215 => Array(
         'tagName'     => "CameraInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1552,5 +1581,5 @@
       0x0216 => Array(
         'tagName'     => "BatteryInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1561,5 +1590,5 @@
       0x021b => Array(
         'tagName'     => "SaturationInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1570,5 +1599,5 @@
       0x021f => Array(
         'tagName'     => "AFInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1579,5 +1608,5 @@
       0x0220 => Array(
         'tagName'     => "HuffmanTable",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1588,5 +1617,5 @@
       0x0222 => Array(
         'tagName'     => "ColorInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1597,5 +1626,5 @@
       0x0224 => Array(
         'tagName'     => "EVStepInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1606,5 +1635,5 @@
       0x0229 => Array(
         'tagName'     => "SerialNumber",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1615,5 +1644,5 @@
       0x0230 => Array(
         'tagName'     => "FirmwareVersion",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1624,5 +1653,5 @@
       0x03fe => Array(
         'tagName'     => "DataDump",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1633,5 +1662,5 @@
       0x03ff => Array(
         'tagName'     => "UnknownInfo",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1642,5 +1671,5 @@
       0x0402 => Array(
         'tagName'     => "ToneCurve",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1651,5 +1680,5 @@
       0x0403 => Array(
         'tagName'     => "ToneCurves",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
@@ -1660,5 +1689,5 @@
       0x0e00 => Array(
         'tagName'     => "PrintIM",
-        'group' => Array("Pentax"),
+        'schema'      => "Pentax",
         'translatable'=> false,
         'combiTag'    => 0,
Index: /extensions/AMetaData/JpegMetaData/TagDefinitions/XmpTags.class.php
===================================================================
--- /extensions/AMetaData/JpegMetaData/TagDefinitions/XmpTags.class.php	(revision 4697)
+++ /extensions/AMetaData/JpegMetaData/TagDefinitions/XmpTags.class.php	(revision 4698)
@@ -10,6 +10,29 @@
  *
  *
+ * +-----------------------------------------------------------------------+
+ * | JpegMetaData - a PHP based Jpeg Metadata manager                      |
+ * +-----------------------------------------------------------------------+
+ * | Copyright(C) 2010  Grum - http://www.grum.fr                          |
+ * +-----------------------------------------------------------------------+
+ * | This program is free software; you can redistribute it and/or modify  |
+ * | it under the terms of the GNU General Public License as published by  |
+ * | the Free Software Foundation                                          |
+ * |                                                                       |
+ * | This program is distributed in the hope that it will be useful, but   |
+ * | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+ * | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+ * | General Public License for more details.                              |
+ * |                                                                       |
+ * | You should have received a copy of the GNU General Public License     |
+ * | along with this program; if not, write to the Free Software           |
+ * | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+ * | USA.                                                                  |
+ * +-----------------------------------------------------------------------+
+ *
+ *
  * -----------------------------------------------------------------------------
- * Known Xmp tags properties class
+ *
+ * The XmpTags is the definition of the XMP tags
+ *
  * -----------------------------------------------------------------------------
  */
@@ -1790,10 +1813,11 @@
         'schema'       => "Iptc4xmpCore",
       ),
-
-
     );
 
-
-
+    /**
+     * XmpTags needs a specific constructor, allowing to extract exif & iptc
+     * properties for some tags
+     *
+     */
     function __construct()
     {
